JasperC (Apache Ant API)
Date: 2017-02-02

org.apache.tools.ant.taskdefs.optional.jsp.compilers

## Class JasperC

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter
  - - org.apache.tools.ant.taskdefs.optional.jsp.compilers.JasperC

- All Implemented Interfaces:
    JspCompilerAdapter

      public class JasperC
      extends DefaultJspCompilerAdapter

  The implementation of the jasper compiler. This is a cut-and-paste of the original Jspc task.
  Since:
    ant1.5

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter

      `owner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JasperC(JspMangler mangler)` Constructor for JasperC.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JspMangler` | `createMangler()`
    `boolean` | `execute()` Our execute method.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter

      `addArg, addArg, addArg, getJspc, getProject, implementsOwnDependencyChecking, logAndAddFilesToCompile, setJspc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JasperC

          public JasperC(JspMangler mangler)

      Constructor for JasperC.
      Parameters:
        `mangler` - a filename converter

  - ### Method Detail

    - #### execute

          public boolean execute()
                          throws BuildException

      Our execute method.
      Returns:
        true if successful
      Throws:
        `BuildException` - on error

    - #### createMangler

          public JspMangler createMangler()

      Returns:
        an instance of the mangler this compiler uses